Bug 1012850 - RemoteDomainConnection.close() will block forever if the master HC is not running
RemoteDomainConnection.close() will block forever if the master HC is not run...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.2.0
Assigned To: Ivo Studensky
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks: 1045634
  Show dependency treegraph
 
Reported: 2013-09-27 05:18 EDT by Ivo Studensky
Modified: 2014-09-11 14:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:20:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1511 Major Resolved RemoteDomainConnection.close() will block forever if the master HC is not running 2017-07-06 09:41 EDT

  None (edit)
Description Ivo Studensky 2013-09-27 05:18:51 EDT
Description of problem:
RemoteDomainConnection.close() overrides FutureManagementChannel.close() to first send a "unregister" message to the master HC before calling the superclass functionality.

Problem is this call tries to open a connection to the master and will block forever waiting for it to connect if the master isn't available, as seen at http://fpaste.org/18232/37105700/

That example was from AutoIgnoredResourcesDomainTestCase which is concurrently shutting down the hosts in the domain, meaning the master can be shutting down in the middle of or prior to slave shutdown.


A backport of WFLY-1511 to EAP 6.2.
Comment 1 Ivo Studensky 2013-09-27 07:48:59 EDT
Relevant PR:

https://github.com/jbossas/jboss-eap/pull/476
Comment 5 Petr Kremensky 2013-10-09 07:17:03 EDT
Verified on EAP 6.2.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.